package com.zcloud.basic.info.api;

import com.alibaba.cola.dto.MultiResponse;
import com.zcloud.basic.info.dto.*;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.basic.info.dto.clientobject.UserChangeRecordCO;

/**
 * web-client
 *
 * @Author SondonYong
 * @Date 2025-12-02 14:08:19
 */
public interface UserChangeRecordServiceI {
    PageResponse<UserChangeRecordCO> listPage(UserChangeRecordPageQry qry);

    MultiResponse<UserChangeRecordCO> list(UserChangeRecordListQry qry);

    SingleResponse<UserChangeRecordCO> getInfoById(Long id);

    SingleResponse<UserChangeRecordCO> add(UserChangeRecordAddCmd cmd);

    void edit(UserChangeRecordUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    UserChangeRecordCO getChangerRecordInfoById(UserChangeRecordInfoQry userChangeRecordInfoQry);
}

